.btn-circle-3d-emboss {
    display: inline-block;
    text-decoration: none;
    background: #ffba78;
    color: #ffba78;
    width: 120px;
    height: 120px;
    font-size: 21px;
    line-height: 120px;
    border-radius: 50%;
    text-align: center;
    overflow: hidden;
    font-weight: bold;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
    border-bottom: solid 3px #d29963;
    text-shadow: -1px -1px rgba(255, 255, 255, 0.43), 1px 1px rgba(0, 0, 0, 0.49);
    transition: .4s;
}

.btn-circle-3d-emboss:active {
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.35);
    border-bottom: none;
}



a.btn--orange {
    color: #fff;
    background-color: #eb6100;
    border-bottom: 5px solid #b84c00;
}

a.btn--orange:hover {
    margin-top: 3px;
    color: #fff;
    background: #f56500;
    border-bottom: 2px solid #b84c00;
}

a.btn--shadow {
    -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
    box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
}



form {
    font-size: 24px;
    color:
}


.red {
    color: #FF0000
}

.white {
    color: #FFFFFF
    text-align: left;
    float: left;
}

header {
    height: 40px;
    width: 100%;
    background-color: #999
}

p {
    width: 200px;
    background:
}

.right {
    margin-left: auto;
}

.right2 {
    margin-right: auto;
    margin-left: 28px;
}


.btn0 {
    background-color: #5D99FF;
}

.btn0:hover {
    color: #000080;
    background: #FF0;
}

.btn3 {
    background: #FF0;
}

.btn3:hover {
    color: #000080;
    background-color: #5D99FF;
}


.btn1 {
    background-color: #00FF00;
}

.btn1:hover {
    color: #000080;
    background: #FF0;
}

.btn4 {
    background: #FF0;
}

.btn4:hover {
    color: #000080;
    background-color: #00FF00;
}


.btn2 {
    background-color: #FF0000;
}

.btn2:hover {
    color: maroon;
    background: #FF0;
}

.btn5 {
    background: #FF0;
}

.btn5:hover {
    color: maroon;
    background-color: #FF0000;
}



<style type="text/css">
 
 /* --- 検索全体のBOX (サンプル用)--- */
.searchArea{
  width          : 390px;              /* BOXの幅               */
  height         : 34px;               /* BOXの高さ             */
  margin         : auto;               /* サンプルを中心に寄せ  */
  letter-spacing : 0.1em;              /* 文字間隔              */
  font-weight    : bold;               /* 太字                  */
  line-height    : 0;                  /* 標準の行高さ          */
}
 
 /* --- テキスト入力欄のSTYLE設定 --- */
.searchArea .searchText {
  display        : block;              /* ブロック化            */
  float          : left;               /* 横並び                */
  box-sizing     : border-box;         /* 枠線,余白を含んだ長さ */
  height         : 24px;               /* 入力の高さ            */
  width          : 170px;              /* 入力の幅              */
  margin         : 0;                  /* 外余白                */
  padding        : 0 12px;             /* 内余白                */
  border         : 2px solid #007fff;  /* 枠線　幅,実践,色      */
  border-radius  : 12px 0 0 12px;      /* 左上下の角丸          */
  color          : #333;               /* 文字色                */
  outline        : 0;                  /* 入力の薄い枠を非表示  */
  font-size      : 16px;               /* フォントサイズ        */
}
 
 /* --- 検索ボタン欄のSTYLE設定 --- */
.searchArea .searchButton {
  float          : left;               /* 横並び                */
  box-sizing     : border-box;         /* 枠線,余白を含んだ長さ */
  height         : 24px;               /* 入力の高さ            */
  margin         : 0;                  /* 外余白                */
  padding        : 6px 10px;           /* 内余白                */
  border         : none;               /* 枠線　幅,実践,色      */
  border-radius  : 0 12px 12px 0;      /* 右上下の角丸          */
  background     : #007fff;            /* ボタンの色            */
  color          : #fff;               /* 文字色                */
  cursor         : pointer;            /* カーソル設定          */
  line-height    : 12px;               /* 1行の高さ             */
  font-size      : 12px;               /* フォントサイズ        */
}
 
 /* --- 検索ボタン欄にフォーカスか来たとき --- */
.searchArea .searchText:focus {
  background     : #cfe7ff;            /* フォーカス時の背景色  */
}
 
 /* --- IEの入力エリア右側×消し -------------------------*/
.searchArea .searchText::-ms-clear {
  display        : none;               /* ×を消す              */
}
</style>




